Create contact note
curl --request POST \
--url https://api.kajabi.com/v1/contact_notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "contact_notes",
"attributes": {
"body": "<string>"
},
"relationships": {
"contact": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
}
}
'import requests
url = "https://api.kajabi.com/v1/contact_notes"
payload = { "data": {
"type": "contact_notes",
"attributes": { "body": "<string>" },
"relationships": { "contact": { "data": {
"id": "<string>",
"type": "<string>"
} } }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'contact_notes',
attributes: {body: JSON.stringify('<string>')},
relationships: {contact: {data: {id: '<string>', type: '<string>'}}}
}
})
};
fetch('https://api.kajabi.com/v1/contact_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "contact_notes",
"attributes": {
"body": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"contact": {
"data": {
"id": "<string>",
"type": "<string>"
}
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}Contact Notes
Create contact note
Creates a new contact note.
Required Attributes:
body(string) - The note content
Required Relationships:
contact- The contact this note belongs to (resource identifier)
POST
/
v1
/
contact_notes
Create contact note
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I